public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2018-01-26 21:23 Patrice Clement
  0 siblings, 0 replies; 15+ messages in thread
From: Patrice Clement @ 2018-01-26 21:23 UTC (permalink / raw
  To: gentoo-commits

commit:     11d59ce716b33e5ec2c44fa2bb020fa7e2909cde
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Fri Jan 12 05:55:57 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jan 26 21:23:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11d59ce7

app-emulation/punes: new package.

puNES is Nintendo Entertainment System emulator.

Package-Manager: Portage-2.3.13, Repoman-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/6838

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/metadata.xml       | 21 ++++++++++++++
 app-emulation/punes/punes-0.102.ebuild | 53 ++++++++++++++++++++++++++++++++++
 3 files changed, 75 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
new file mode 100644
index 00000000000..d9771043899
--- /dev/null
+++ b/app-emulation/punes/Manifest
@@ -0,0 +1 @@
+DIST punes-0.102.tar.gz 4670534 BLAKE2B 04576110e4fcd9aeaa3dfb6812ab7a21305200c82651be00defcb59b91374b155b279818f2e09d217841aa8567c41e06067252538fb68b7b907d5ab29b02c678 SHA512 dff95b25f64ed03060b6dd187d7a283acfddb6bea4168df5be4d309bd6aabdcaa5d0ea0312d0824205bf134cd0ddabf014e82a81c8a901a59258475ec24bd394

diff --git a/app-emulation/punes/metadata.xml b/app-emulation/punes/metadata.xml
new file mode 100644
index 00000000000..c8d6de05051
--- /dev/null
+++ b/app-emulation/punes/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>azamat.hackimov@gmail.com</email>
+		<name>Azamat H. Hackimov</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+		Nintendo Entertainment System (NES) emulator
+	</longdescription>
+	<use>
+		<flag name="cg">Add support for Nvidia CG Toolkit</flag>
+	</use>
+	<upstream>
+		<remote-id type="github">punesemu/puNES</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/app-emulation/punes/punes-0.102.ebuild b/app-emulation/punes/punes-0.102.ebuild
new file mode 100644
index 00000000000..cb13a854923
--- /dev/null
+++ b/app-emulation/punes/punes-0.102.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	media-libs/alsa-lib
+	media-libs/libsdl[opengl]
+	virtual/opengl"
+
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+src_prepare() {
+	default
+
+	sed -i "/update-desktop-database/d" misc/Makefile.am || die
+	eautoreconf
+	# FIXME why eautoreconf can't handle this?
+	cd "src/extra/lib7zip-1.6.5" || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--enable-qt5 \
+		$(use_with cg opengl-nvidia-cg)
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2019-03-11 10:13 Patrice Clement
  0 siblings, 0 replies; 15+ messages in thread
From: Patrice Clement @ 2019-03-11 10:13 UTC (permalink / raw
  To: gentoo-commits

commit:     5d4db6512cd74d5c6e38a864de74a3ca47b97e1d
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Sun Mar  3 15:22:27 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Mar 11 10:13:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d4db651

app-emulation/punes: version bump to 0.103.

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/11232
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.103.ebuild | 52 ++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index d9771043899..146ce82d356 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1 +1,2 @@
 DIST punes-0.102.tar.gz 4670534 BLAKE2B 04576110e4fcd9aeaa3dfb6812ab7a21305200c82651be00defcb59b91374b155b279818f2e09d217841aa8567c41e06067252538fb68b7b907d5ab29b02c678 SHA512 dff95b25f64ed03060b6dd187d7a283acfddb6bea4168df5be4d309bd6aabdcaa5d0ea0312d0824205bf134cd0ddabf014e82a81c8a901a59258475ec24bd394
+DIST punes-0.103.tar.gz 5366838 BLAKE2B cb4a9a1336293891e06d573f68c52962e79220e7024fad716a957f5423a72703a34efc3fb6129dbe9ffde2c96fe7abd2a1ad4a622aaca89e90f6a2d5af8c1a53 SHA512 db0fbc075b9fd46be8013b17c03fd7abd12b209ce166557c83283c917e53224712ba5838cd8b9e7fad3d21271f29e475460996dd9800b9f759602e289bad4205

diff --git a/app-emulation/punes/punes-0.103.ebuild b/app-emulation/punes/punes-0.103.ebuild
new file mode 100644
index 00000000000..a12d37ba11e
--- /dev/null
+++ b/app-emulation/punes/punes-0.103.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	media-libs/alsa-lib
+	virtual/opengl"
+
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+src_prepare() {
+	default
+
+	sed -i "/update-desktop-database/d" misc/Makefile.am || die
+	eautoreconf
+	# FIXME why eautoreconf can't handle this?
+	cd "src/extra/lib7zip-1.6.5" || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_with cg opengl-nvidia-cg)
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2019-05-15 10:48 Michael Palimaka
  0 siblings, 0 replies; 15+ messages in thread
From: Michael Palimaka @ 2019-05-15 10:48 UTC (permalink / raw
  To: gentoo-commits

commit:     40226a207343e99439fb6caa402d8a936e32d94b
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Mon May 13 23:16:30 2019 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed May 15 10:48:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40226a20

app-emulation/punes: version bump to 0.104

Closes: https://github.com/gentoo/gentoo/pull/11989
Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.104.ebuild | 52 ++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index 8dc1779acd5..d5ec7d88c28 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1 +1,2 @@
 DIST punes-0.103.tar.gz 5366838 BLAKE2B cb4a9a1336293891e06d573f68c52962e79220e7024fad716a957f5423a72703a34efc3fb6129dbe9ffde2c96fe7abd2a1ad4a622aaca89e90f6a2d5af8c1a53 SHA512 db0fbc075b9fd46be8013b17c03fd7abd12b209ce166557c83283c917e53224712ba5838cd8b9e7fad3d21271f29e475460996dd9800b9f759602e289bad4205
+DIST punes-0.104.tar.gz 5381182 BLAKE2B fefa6eb85e9cfe5eb10fd987061e6f708a2d29db374552ca217e1e47bfd3a982390d2fdf33f23407bb54d7e1a3491e33cc2c520ff3ead4566f687c6c652bcc6a SHA512 9636440cf66cb9f48b532cebff4342a775ddacffd98748e5669d820e213a648cbfb3e4e94f67389f21f88b4fa618bf514e31738c10df079abe22d4b19593d904

diff --git a/app-emulation/punes/punes-0.104.ebuild b/app-emulation/punes/punes-0.104.ebuild
new file mode 100644
index 00000000000..ae456a0a5a2
--- /dev/null
+++ b/app-emulation/punes/punes-0.104.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	media-libs/alsa-lib
+	virtual/opengl"
+
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+src_prepare() {
+	default
+
+	sed -i "/update-desktop-database/d" misc/Makefile.am || die
+	eautoreconf
+	# FIXME why eautoreconf can't handle this?
+	cd "src/extra/lib7zip-1.6.5" || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_with cg opengl-nvidia-cg)
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2019-10-28 15:14 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2019-10-28 15:14 UTC (permalink / raw
  To: gentoo-commits

commit:     286b9839b13d33d699eeba767a285b314e00e119
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Aug 13 18:02:16 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 28 15:14:44 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=286b9839

app-emulation/punes: update to 0.105 (#696616)

Closes: https://bugs.gentoo.org/696616
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Package-Manager: Portage-2.3.66, Repoman-2.3.16
Closes: https://github.com/gentoo/gentoo/pull/12687
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.105.ebuild | 57 ++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index 8bf9b5bea38..bb1aecade63 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1 +1,2 @@
 DIST punes-0.104.tar.gz 5381182 BLAKE2B fefa6eb85e9cfe5eb10fd987061e6f708a2d29db374552ca217e1e47bfd3a982390d2fdf33f23407bb54d7e1a3491e33cc2c520ff3ead4566f687c6c652bcc6a SHA512 9636440cf66cb9f48b532cebff4342a775ddacffd98748e5669d820e213a648cbfb3e4e94f67389f21f88b4fa618bf514e31738c10df079abe22d4b19593d904
+DIST punes-0.105.tar.gz 5376203 BLAKE2B 9008ee14189d669c4c4c815de1c5498e3af22cbae52a25b538ae658fdc3fe9d39600a431e6652c84b24e20b1e713847462e4b802021a635c8f14f7d91317678f SHA512 4ce1487554218b17b0e3e2966c7b4ac0852e0b0bc83aeabbb0e3127d4952f0ef921374a97ce59990d01b5e0ac08204cca5f13476cd7e4a1e7a238850e8305d29

diff --git a/app-emulation/punes/punes-0.105.ebuild b/app-emulation/punes/punes-0.105.ebuild
new file mode 100644
index 00000000000..2cf0ce24414
--- /dev/null
+++ b/app-emulation/punes/punes-0.105.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	media-libs/alsa-lib
+	virtual/opengl"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+src_prepare() {
+	default
+
+	sed -i "/update-desktop-database/d" misc/Makefile.am || die
+	eautoreconf
+	# FIXME why eautoreconf can't handle this?
+	cd "src/extra/lib7zip-1.6.5" || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_with cg opengl-nvidia-cg)
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2019-10-28 15:14 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2019-10-28 15:14 UTC (permalink / raw
  To: gentoo-commits

commit:     0b04d15e6fa777141e4ddc2ca79d8768481eba02
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Aug 13 18:01:25 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 28 15:14:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b04d15e

app-emulation/punes: remove old

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 -
 app-emulation/punes/punes-0.103.ebuild | 52 ----------------------------------
 2 files changed, 53 deletions(-)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index d5ec7d88c28..8bf9b5bea38 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,2 +1 @@
-DIST punes-0.103.tar.gz 5366838 BLAKE2B cb4a9a1336293891e06d573f68c52962e79220e7024fad716a957f5423a72703a34efc3fb6129dbe9ffde2c96fe7abd2a1ad4a622aaca89e90f6a2d5af8c1a53 SHA512 db0fbc075b9fd46be8013b17c03fd7abd12b209ce166557c83283c917e53224712ba5838cd8b9e7fad3d21271f29e475460996dd9800b9f759602e289bad4205
 DIST punes-0.104.tar.gz 5381182 BLAKE2B fefa6eb85e9cfe5eb10fd987061e6f708a2d29db374552ca217e1e47bfd3a982390d2fdf33f23407bb54d7e1a3491e33cc2c520ff3ead4566f687c6c652bcc6a SHA512 9636440cf66cb9f48b532cebff4342a775ddacffd98748e5669d820e213a648cbfb3e4e94f67389f21f88b4fa618bf514e31738c10df079abe22d4b19593d904

diff --git a/app-emulation/punes/punes-0.103.ebuild b/app-emulation/punes/punes-0.103.ebuild
deleted file mode 100644
index a12d37ba11e..00000000000
--- a/app-emulation/punes/punes-0.103.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools xdg-utils
-
-DESCRIPTION="Nintendo Entertainment System (NES) emulator"
-HOMEPAGE="https://github.com/punesemu/puNES"
-SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="cg"
-
-RDEPEND="
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	cg? ( media-gfx/nvidia-cg-toolkit )
-	media-libs/alsa-lib
-	virtual/opengl"
-
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig"
-
-S="${WORKDIR}/puNES-${PV}"
-
-src_prepare() {
-	default
-
-	sed -i "/update-desktop-database/d" misc/Makefile.am || die
-	eautoreconf
-	# FIXME why eautoreconf can't handle this?
-	cd "src/extra/lib7zip-1.6.5" || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_with cg opengl-nvidia-cg)
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2020-03-21 16:13 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2020-03-21 16:13 UTC (permalink / raw
  To: gentoo-commits

commit:     7ddb4fa29a17f285bf3072e8c8484dda76876584
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 21 13:41:17 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 21 16:12:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ddb4fa2

app-emulation/punes: RedundantLongDescription

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/metadata.xml | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/app-emulation/punes/metadata.xml b/app-emulation/punes/metadata.xml
index c8d6de05051..23b1c9a0b21 100644
--- a/app-emulation/punes/metadata.xml
+++ b/app-emulation/punes/metadata.xml
@@ -9,9 +9,6 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
-	<longdescription lang="en">
-		Nintendo Entertainment System (NES) emulator
-	</longdescription>
 	<use>
 		<flag name="cg">Add support for Nvidia CG Toolkit</flag>
 	</use>


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2020-08-08  9:04 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2020-08-08  9:04 UTC (permalink / raw
  To: gentoo-commits

commit:     56bf8b6a7e58810b7f3399e4ec33963d936c3cd6
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Jul 28 13:33:32 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 09:04:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56bf8b6a

app-emulation/punes: update to 0.106

Update package to 0.106, which fixes gcc10 compilation issue (#710612).
Additional fixes compilation error #734276.
Closes: https://bugs.gentoo.org/710612
Closes: https://bugs.gentoo.org/734276
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.106.ebuild | 58 ++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index bb1aecade63..1f866af056f 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,2 +1,3 @@
 DIST punes-0.104.tar.gz 5381182 BLAKE2B fefa6eb85e9cfe5eb10fd987061e6f708a2d29db374552ca217e1e47bfd3a982390d2fdf33f23407bb54d7e1a3491e33cc2c520ff3ead4566f687c6c652bcc6a SHA512 9636440cf66cb9f48b532cebff4342a775ddacffd98748e5669d820e213a648cbfb3e4e94f67389f21f88b4fa618bf514e31738c10df079abe22d4b19593d904
 DIST punes-0.105.tar.gz 5376203 BLAKE2B 9008ee14189d669c4c4c815de1c5498e3af22cbae52a25b538ae658fdc3fe9d39600a431e6652c84b24e20b1e713847462e4b802021a635c8f14f7d91317678f SHA512 4ce1487554218b17b0e3e2966c7b4ac0852e0b0bc83aeabbb0e3127d4952f0ef921374a97ce59990d01b5e0ac08204cca5f13476cd7e4a1e7a238850e8305d29
+DIST punes-0.106.tar.gz 5595484 BLAKE2B aa3bb5c869e679b19829a3d1de970517d6d626e0ed2404a9ed09d16af8fabb1ee3258ec8fbb4027fb6b70b5449b2bb7ac6880f43c3ba846687c65d8a0eeaf3f2 SHA512 f35c5cee05464cb11f130938cf7aa519d4dea35dbf52ce3606c3c6bb2596bc59b75e11816a5b44c7b1c9d402a299b4db49727087b4c93c3cb2ba473adfdd4fa2

diff --git a/app-emulation/punes/punes-0.106.ebuild b/app-emulation/punes/punes-0.106.ebuild
new file mode 100644
index 00000000000..1cdb9cc4f01
--- /dev/null
+++ b/app-emulation/punes/punes-0.106.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	media-libs/alsa-lib
+	virtual/glu
+	virtual/opengl"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+src_prepare() {
+	default
+
+	sed -i "/update-desktop-database/d" misc/Makefile.am || die
+	eautoreconf
+	# FIXME why eautoreconf can't handle this?
+	cd "src/extra/lib7zip-1.6.5" || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_with cg opengl-nvidia-cg)
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2020-08-08  9:04 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2020-08-08  9:04 UTC (permalink / raw
  To: gentoo-commits

commit:     54b59970953c07ae5476c16de259c32bf9d3dc33
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Jul 28 13:35:17 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 09:04:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54b59970

app-emulation/punes: remove old versions

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16876
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  2 --
 app-emulation/punes/punes-0.104.ebuild | 52 -------------------------------
 app-emulation/punes/punes-0.105.ebuild | 57 ----------------------------------
 3 files changed, 111 deletions(-)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index 1f866af056f..44c8a05db29 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,3 +1 @@
-DIST punes-0.104.tar.gz 5381182 BLAKE2B fefa6eb85e9cfe5eb10fd987061e6f708a2d29db374552ca217e1e47bfd3a982390d2fdf33f23407bb54d7e1a3491e33cc2c520ff3ead4566f687c6c652bcc6a SHA512 9636440cf66cb9f48b532cebff4342a775ddacffd98748e5669d820e213a648cbfb3e4e94f67389f21f88b4fa618bf514e31738c10df079abe22d4b19593d904
-DIST punes-0.105.tar.gz 5376203 BLAKE2B 9008ee14189d669c4c4c815de1c5498e3af22cbae52a25b538ae658fdc3fe9d39600a431e6652c84b24e20b1e713847462e4b802021a635c8f14f7d91317678f SHA512 4ce1487554218b17b0e3e2966c7b4ac0852e0b0bc83aeabbb0e3127d4952f0ef921374a97ce59990d01b5e0ac08204cca5f13476cd7e4a1e7a238850e8305d29
 DIST punes-0.106.tar.gz 5595484 BLAKE2B aa3bb5c869e679b19829a3d1de970517d6d626e0ed2404a9ed09d16af8fabb1ee3258ec8fbb4027fb6b70b5449b2bb7ac6880f43c3ba846687c65d8a0eeaf3f2 SHA512 f35c5cee05464cb11f130938cf7aa519d4dea35dbf52ce3606c3c6bb2596bc59b75e11816a5b44c7b1c9d402a299b4db49727087b4c93c3cb2ba473adfdd4fa2

diff --git a/app-emulation/punes/punes-0.104.ebuild b/app-emulation/punes/punes-0.104.ebuild
deleted file mode 100644
index ae456a0a5a2..00000000000
--- a/app-emulation/punes/punes-0.104.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit autotools xdg-utils
-
-DESCRIPTION="Nintendo Entertainment System (NES) emulator"
-HOMEPAGE="https://github.com/punesemu/puNES"
-SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="cg"
-
-RDEPEND="
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	cg? ( media-gfx/nvidia-cg-toolkit )
-	media-libs/alsa-lib
-	virtual/opengl"
-
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig"
-
-S="${WORKDIR}/puNES-${PV}"
-
-src_prepare() {
-	default
-
-	sed -i "/update-desktop-database/d" misc/Makefile.am || die
-	eautoreconf
-	# FIXME why eautoreconf can't handle this?
-	cd "src/extra/lib7zip-1.6.5" || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_with cg opengl-nvidia-cg)
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-}

diff --git a/app-emulation/punes/punes-0.105.ebuild b/app-emulation/punes/punes-0.105.ebuild
deleted file mode 100644
index 2cf0ce24414..00000000000
--- a/app-emulation/punes/punes-0.105.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools xdg-utils
-
-DESCRIPTION="Nintendo Entertainment System (NES) emulator"
-HOMEPAGE="https://github.com/punesemu/puNES"
-SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="cg"
-
-RDEPEND="
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	media-libs/alsa-lib
-	virtual/opengl"
-DEPEND="${RDEPEND}"
-BDEPEND="
-	cg? ( media-gfx/nvidia-cg-toolkit )
-	dev-qt/linguist-tools:5
-	virtual/pkgconfig"
-
-S="${WORKDIR}/puNES-${PV}"
-
-src_prepare() {
-	default
-
-	sed -i "/update-desktop-database/d" misc/Makefile.am || die
-	eautoreconf
-	# FIXME why eautoreconf can't handle this?
-	cd "src/extra/lib7zip-1.6.5" || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_with cg opengl-nvidia-cg)
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2021-02-02 13:08 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2021-02-02 13:08 UTC (permalink / raw
  To: gentoo-commits

commit:     ee69c1d9fd43820c396e21f67e94a9e55a5f240b
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Thu Jan 21 09:42:56 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Feb  2 12:29:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee69c1d9

app-emulation/punes: remove old

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/19144
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 -
 app-emulation/punes/punes-0.106.ebuild | 58 ----------------------------------
 2 files changed, 59 deletions(-)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index a7985c2b638..36a25723e83 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,2 +1 @@
-DIST punes-0.106.tar.gz 5595484 BLAKE2B aa3bb5c869e679b19829a3d1de970517d6d626e0ed2404a9ed09d16af8fabb1ee3258ec8fbb4027fb6b70b5449b2bb7ac6880f43c3ba846687c65d8a0eeaf3f2 SHA512 f35c5cee05464cb11f130938cf7aa519d4dea35dbf52ce3606c3c6bb2596bc59b75e11816a5b44c7b1c9d402a299b4db49727087b4c93c3cb2ba473adfdd4fa2
 DIST punes-0.107.tar.gz 44024138 BLAKE2B 048df5bc9b019bafcd4eec75dc027de7cde9f8aa0d484ef96e5c41b091ba55c13b84ef7c7c36987b53206b1b7027758534479d0cc9fde63d89a48092c3f9d26d SHA512 eb3b7aa1c18765402e1e57e23dd4b019255320b795c0f578a4d5ae9f4e0c163613da07280e2a5abed80b9ba90e74c80b53b5fdd80e405103f0063ca55d0ee7bd

diff --git a/app-emulation/punes/punes-0.106.ebuild b/app-emulation/punes/punes-0.106.ebuild
deleted file mode 100644
index 1cdb9cc4f01..00000000000
--- a/app-emulation/punes/punes-0.106.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools xdg-utils
-
-DESCRIPTION="Nintendo Entertainment System (NES) emulator"
-HOMEPAGE="https://github.com/punesemu/puNES"
-SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="cg"
-
-RDEPEND="
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	media-libs/alsa-lib
-	virtual/glu
-	virtual/opengl"
-DEPEND="${RDEPEND}"
-BDEPEND="
-	cg? ( media-gfx/nvidia-cg-toolkit )
-	dev-qt/linguist-tools:5
-	virtual/pkgconfig"
-
-S="${WORKDIR}/puNES-${PV}"
-
-src_prepare() {
-	default
-
-	sed -i "/update-desktop-database/d" misc/Makefile.am || die
-	eautoreconf
-	# FIXME why eautoreconf can't handle this?
-	cd "src/extra/lib7zip-1.6.5" || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_with cg opengl-nvidia-cg)
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2022-10-14 13:25 Ionen Wolkens
  0 siblings, 0 replies; 15+ messages in thread
From: Ionen Wolkens @ 2022-10-14 13:25 UTC (permalink / raw
  To: gentoo-commits

commit:     dc2b787f4c316e5d96c836ac7eed46d01673beee
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 14 13:02:20 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 13:25:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc2b787f

app-emulation/punes: fix double CHOST + other adjustments

* add several missing deps (qtnetwork:5, udev, X11/Xrandr/xorg-proto),
  lack of qtnetwork:5 caused bug #877089
* move nvidia-cg-toolkit to RDEPEND, this is linking with its
  libraries and doesn't make sense in BDEPEND
* prevent QA notices because of unused CMAKE_INSTALL*
* xdg-utils -> xdg

Note need to export CC="${CHOST}-gcc" to reproduce wrt #877089

Closes: https://bugs.gentoo.org/877089
Closes: https://bugs.gentoo.org/877091
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 .../{punes-0.109.ebuild => punes-0.109-r1.ebuild}  | 42 +++++++++++-----------
 1 file changed, 22 insertions(+), 20 deletions(-)

diff --git a/app-emulation/punes/punes-0.109.ebuild b/app-emulation/punes/punes-0.109-r1.ebuild
similarity index 65%
rename from app-emulation/punes/punes-0.109.ebuild
rename to app-emulation/punes/punes-0.109-r1.ebuild
index 76d44deed992..f4591cbe10f9 100644
--- a/app-emulation/punes/punes-0.109.ebuild
+++ b/app-emulation/punes/punes-0.109-r1.ebuild
@@ -3,12 +3,13 @@
 
 EAPI=8
 
-inherit autotools xdg-utils
+inherit autotools toolchain-funcs xdg
 
 DESCRIPTION="Nintendo Entertainment System (NES) emulator"
 HOMEPAGE="https://github.com/punesemu/puNES"
 SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}_musl.patch.xz"
+S="${WORKDIR}/puNES-${PV}"
 
 LICENSE="GPL-2+"
 SLOT="0"
@@ -16,23 +17,27 @@ KEYWORDS="~amd64 ~x86"
 IUSE="cg ffmpeg"
 
 RDEPEND="
-	ffmpeg? ( media-video/ffmpeg:= )
 	dev-qt/qtcore:5
 	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
 	dev-qt/qtsvg:5
 	dev-qt/qtwidgets:5
 	media-libs/alsa-lib
+	media-libs/libglvnd[X]
 	virtual/glu
-	virtual/opengl"
-DEPEND="${RDEPEND}"
-BDEPEND="
+	virtual/udev
+	x11-libs/libX11
+	x11-libs/libXrandr
 	cg? ( media-gfx/nvidia-cg-toolkit )
+	ffmpeg? ( media-video/ffmpeg:= )"
+DEPEND="
+	${RDEPEND}
+	x11-base/xorg-proto"
+BDEPEND="
 	dev-qt/linguist-tools:5
 	dev-util/cmake
 	virtual/pkgconfig"
 
-S="${WORKDIR}/puNES-${PV}"
-
 PATCHES=(
 	"${FILESDIR}"/${P}_ldflags.patch
 	"${WORKDIR}"/${P}_musl.patch # 830471
@@ -41,6 +46,12 @@ PATCHES=(
 src_prepare() {
 	default
 
+	# empty CMAKE_ARGS to avoid double CHOST (bug #877089), and also unused
+	# options (QA notices), use sed to avoid rebases because of the directory
+	sed -e '/x${DEBUG_VERSION}/i\CMAKE_ARGS=' \
+		-i src/extra/lib7zip-*/configure || die
+	tc-export CC CXX
+
 	# src/extra/lib7zip is not autotools, but
 	# is contained within AC_CONFIG_SUBDIRS
 	AT_NO_RECURSIVE=1 eautoreconf
@@ -49,19 +60,10 @@ src_prepare() {
 }
 
 src_configure() {
-	econf \
-		$(use_with cg opengl-nvidia-cg) \
+	local econfargs=(
+		$(use_with cg opengl-nvidia-cg)
 		$(use_with ffmpeg)
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}
+	)
 
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
+	econf "${econfargs[@]}"
 }


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2023-01-24 10:01 Joonas Niilola
  0 siblings, 0 replies; 15+ messages in thread
From: Joonas Niilola @ 2023-01-24 10:01 UTC (permalink / raw
  To: gentoo-commits

commit:     851464a2377bd537ba380deca5529aebf0a806d4
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Jan 10 12:27:42 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Jan 24 10:01:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=851464a2

app-emulation/punes: add 0.110

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.110.ebuild | 51 ++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index a66b48126126..2efb7fac9f3e 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,3 +1,4 @@
 DIST punes-0.107.tar.gz 44024138 BLAKE2B 048df5bc9b019bafcd4eec75dc027de7cde9f8aa0d484ef96e5c41b091ba55c13b84ef7c7c36987b53206b1b7027758534479d0cc9fde63d89a48092c3f9d26d SHA512 eb3b7aa1c18765402e1e57e23dd4b019255320b795c0f578a4d5ae9f4e0c163613da07280e2a5abed80b9ba90e74c80b53b5fdd80e405103f0063ca55d0ee7bd
 DIST punes-0.109.tar.gz 48695769 BLAKE2B cc5a86b2f99dc3c97bc04386568fcb926d2a9c83f8c6dcaf28c022a136791ff481610ad578c996c643e0c0b107acb2be9a0fbfda0950435aad984f3506ec1983 SHA512 13cf3587c9936ff9f933d3394516d25fbd664fc2fd510af724c3bbbc6fefb12a019e8fe27cd52cd326ef8fba3721f4e1816ce5d3f3935f701081a142f04a3bc2
 DIST punes-0.109_musl.patch.xz 5520 BLAKE2B ea1c36d510303dd67b7e2005a3f099e328583c9762f74ccf9457a5f04268c44243b4fe18fc6498c176a999318f40c9a34ca2a3ed7de2d4dea953ab055901ad42 SHA512 507163d40849bbf782725f71409432a0cb4a79f5c3fccfaf78786322539a1bce0608b731a75c817b72f8a4e814d0cb21019cb23f621176042fb946754a4a9292
+DIST punes-0.110.tar.gz 49500935 BLAKE2B c4704ad6edc828f6332798e44939dc82e86fb0fed1d7a71e3377c7bb384a7fc40d2b9303dff13b1e92cf4bb189a5c4816c5c6ec2f2db1ab1c5d58d459b6c1ed9 SHA512 e0f503ac8c0cd0257eebb1401a6cf5045d03e348a5f915574b47c15930c029c93e36f5776c1364b7c7b6a27faa48a36173c4fd0342f24e9a3241ebd5e0a9d137

diff --git a/app-emulation/punes/punes-0.110.ebuild b/app-emulation/punes/punes-0.110.ebuild
new file mode 100644
index 000000000000..9a5f143123d4
--- /dev/null
+++ b/app-emulation/punes/punes-0.110.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/puNES-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X cg ffmpeg"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	media-libs/alsa-lib
+	media-libs/libglvnd[X?]
+	virtual/glu
+	virtual/udev
+	X? (
+		x11-libs/libX11
+		x11-libs/libXrandr
+	)
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	ffmpeg? ( media-video/ffmpeg:= )"
+DEPEND="
+	${RDEPEND}
+	X? ( x11-base/xorg-proto )"
+BDEPEND="
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig"
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_GIT_INFO=OFF
+		-DENABLE_QT6_LIBS=OFF
+		-DDISABLE_PORTABLE_MODE=OFF
+		-DENABLE_FFMPEG=$(usex ffmpeg)
+		-DENABLE_FULLSCREEN_RESFREQ=$(usex X)
+		-DENABLE_OPENGL_CG=$(usex cg)
+	)
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2024-01-04 11:55 Viorel Munteanu
  0 siblings, 0 replies; 15+ messages in thread
From: Viorel Munteanu @ 2024-01-04 11:55 UTC (permalink / raw
  To: gentoo-commits

commit:     903bf89ec3aa9d582e2b7efd7e3cab81cc010d66
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Thu Oct 19 20:18:56 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Jan  4 11:54:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=903bf89e

app-emulation/punes: add qt6 USE-flag

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33421
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-emulation/punes/punes-0.110.ebuild | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

diff --git a/app-emulation/punes/punes-0.110.ebuild b/app-emulation/punes/punes-0.110.ebuild
index 9a5f143123d4..16b8811e4a80 100644
--- a/app-emulation/punes/punes-0.110.ebuild
+++ b/app-emulation/punes/punes-0.110.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -13,14 +13,9 @@ S="${WORKDIR}/puNES-${PV}"
 LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="X cg ffmpeg"
+IUSE="X cg ffmpeg qt6"
 
 RDEPEND="
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtnetwork:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
 	media-libs/alsa-lib
 	media-libs/libglvnd[X?]
 	virtual/glu
@@ -30,18 +25,31 @@ RDEPEND="
 		x11-libs/libXrandr
 	)
 	cg? ( media-gfx/nvidia-cg-toolkit )
-	ffmpeg? ( media-video/ffmpeg:= )"
+	ffmpeg? ( media-video/ffmpeg:= )
+	qt6? (
+		dev-qt/qtbase:6[gui,network,opengl,widgets]
+		dev-qt/qtsvg:6
+	)
+	!qt6? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtsvg:5
+		dev-qt/qtwidgets:5
+	)"
+
 DEPEND="
 	${RDEPEND}
 	X? ( x11-base/xorg-proto )"
 BDEPEND="
-	dev-qt/linguist-tools:5
-	virtual/pkgconfig"
+	virtual/pkgconfig
+	qt6? ( dev-qt/qttools[linguist] )
+	!qt6? ( dev-qt/linguist-tools:5 )"
 
 src_configure() {
 	local mycmakeargs=(
 		-DENABLE_GIT_INFO=OFF
-		-DENABLE_QT6_LIBS=OFF
+		-DENABLE_QT6_LIBS=$(usex qt6)
 		-DDISABLE_PORTABLE_MODE=OFF
 		-DENABLE_FFMPEG=$(usex ffmpeg)
 		-DENABLE_FULLSCREEN_RESFREQ=$(usex X)


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2024-03-22  6:22 Arthur Zamarin
  0 siblings, 0 replies; 15+ messages in thread
From: Arthur Zamarin @ 2024-03-22  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     407a4438822a9ea386c53d74fcfbbdd97a629f32
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Mar 19 18:32:56 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 22 06:21:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=407a4438

app-emulation/punes: drop 0.110

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/35833
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 -
 app-emulation/punes/punes-0.110.ebuild | 59 ----------------------------------
 2 files changed, 60 deletions(-)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index 7e5b7bad8584..8161798f4ed7 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1,2 +1 @@
-DIST punes-0.110.tar.gz 49500935 BLAKE2B c4704ad6edc828f6332798e44939dc82e86fb0fed1d7a71e3377c7bb384a7fc40d2b9303dff13b1e92cf4bb189a5c4816c5c6ec2f2db1ab1c5d58d459b6c1ed9 SHA512 e0f503ac8c0cd0257eebb1401a6cf5045d03e348a5f915574b47c15930c029c93e36f5776c1364b7c7b6a27faa48a36173c4fd0342f24e9a3241ebd5e0a9d137
 DIST punes-0.111.tar.gz 57538299 BLAKE2B a900fe2bc9117e6739e58a43e457bfa466053d5a96ae5ad1333d7e0bc11eafb2408a96dc7e35ddf1a3cee50cafe99549a43d2abb629b106bbb1082878a845cc6 SHA512 6388cdf2b303e217adfe43b1b3b1ef66a75b6adfdb0363b213c47fc129b5815f3e96814ee25a3637147dc184203cef0438930c280f0c6249085ecac1220b435c

diff --git a/app-emulation/punes/punes-0.110.ebuild b/app-emulation/punes/punes-0.110.ebuild
deleted file mode 100644
index 16b8811e4a80..000000000000
--- a/app-emulation/punes/punes-0.110.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake xdg
-
-DESCRIPTION="Nintendo Entertainment System (NES) emulator"
-HOMEPAGE="https://github.com/punesemu/puNES"
-SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/puNES-${PV}"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="X cg ffmpeg qt6"
-
-RDEPEND="
-	media-libs/alsa-lib
-	media-libs/libglvnd[X?]
-	virtual/glu
-	virtual/udev
-	X? (
-		x11-libs/libX11
-		x11-libs/libXrandr
-	)
-	cg? ( media-gfx/nvidia-cg-toolkit )
-	ffmpeg? ( media-video/ffmpeg:= )
-	qt6? (
-		dev-qt/qtbase:6[gui,network,opengl,widgets]
-		dev-qt/qtsvg:6
-	)
-	!qt6? (
-		dev-qt/qtcore:5
-		dev-qt/qtgui:5
-		dev-qt/qtnetwork:5
-		dev-qt/qtsvg:5
-		dev-qt/qtwidgets:5
-	)"
-
-DEPEND="
-	${RDEPEND}
-	X? ( x11-base/xorg-proto )"
-BDEPEND="
-	virtual/pkgconfig
-	qt6? ( dev-qt/qttools[linguist] )
-	!qt6? ( dev-qt/linguist-tools:5 )"
-
-src_configure() {
-	local mycmakeargs=(
-		-DENABLE_GIT_INFO=OFF
-		-DENABLE_QT6_LIBS=$(usex qt6)
-		-DDISABLE_PORTABLE_MODE=OFF
-		-DENABLE_FFMPEG=$(usex ffmpeg)
-		-DENABLE_FULLSCREEN_RESFREQ=$(usex X)
-		-DENABLE_OPENGL_CG=$(usex cg)
-	)
-	cmake_src_configure
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2024-03-22  6:22 Arthur Zamarin
  0 siblings, 0 replies; 15+ messages in thread
From: Arthur Zamarin @ 2024-03-22  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     2b724a2712a8605b87f38e00f7bd69f1e6a51880
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Mar 19 18:32:33 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 22 06:21:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b724a27

app-emulation/punes: add 0.111

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-emulation/punes/Manifest           |  1 +
 app-emulation/punes/punes-0.111.ebuild | 59 ++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index bd94310ac9e8..7e5b7bad8584 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1 +1,2 @@
 DIST punes-0.110.tar.gz 49500935 BLAKE2B c4704ad6edc828f6332798e44939dc82e86fb0fed1d7a71e3377c7bb384a7fc40d2b9303dff13b1e92cf4bb189a5c4816c5c6ec2f2db1ab1c5d58d459b6c1ed9 SHA512 e0f503ac8c0cd0257eebb1401a6cf5045d03e348a5f915574b47c15930c029c93e36f5776c1364b7c7b6a27faa48a36173c4fd0342f24e9a3241ebd5e0a9d137
+DIST punes-0.111.tar.gz 57538299 BLAKE2B a900fe2bc9117e6739e58a43e457bfa466053d5a96ae5ad1333d7e0bc11eafb2408a96dc7e35ddf1a3cee50cafe99549a43d2abb629b106bbb1082878a845cc6 SHA512 6388cdf2b303e217adfe43b1b3b1ef66a75b6adfdb0363b213c47fc129b5815f3e96814ee25a3637147dc184203cef0438930c280f0c6249085ecac1220b435c

diff --git a/app-emulation/punes/punes-0.111.ebuild b/app-emulation/punes/punes-0.111.ebuild
new file mode 100644
index 000000000000..16b8811e4a80
--- /dev/null
+++ b/app-emulation/punes/punes-0.111.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES"
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/puNES-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X cg ffmpeg qt6"
+
+RDEPEND="
+	media-libs/alsa-lib
+	media-libs/libglvnd[X?]
+	virtual/glu
+	virtual/udev
+	X? (
+		x11-libs/libX11
+		x11-libs/libXrandr
+	)
+	cg? ( media-gfx/nvidia-cg-toolkit )
+	ffmpeg? ( media-video/ffmpeg:= )
+	qt6? (
+		dev-qt/qtbase:6[gui,network,opengl,widgets]
+		dev-qt/qtsvg:6
+	)
+	!qt6? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtsvg:5
+		dev-qt/qtwidgets:5
+	)"
+
+DEPEND="
+	${RDEPEND}
+	X? ( x11-base/xorg-proto )"
+BDEPEND="
+	virtual/pkgconfig
+	qt6? ( dev-qt/qttools[linguist] )
+	!qt6? ( dev-qt/linguist-tools:5 )"
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_GIT_INFO=OFF
+		-DENABLE_QT6_LIBS=$(usex qt6)
+		-DDISABLE_PORTABLE_MODE=OFF
+		-DENABLE_FFMPEG=$(usex ffmpeg)
+		-DENABLE_FULLSCREEN_RESFREQ=$(usex X)
+		-DENABLE_OPENGL_CG=$(usex cg)
+	)
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/
@ 2024-07-21  0:32 Sam James
  0 siblings, 0 replies; 15+ messages in thread
From: Sam James @ 2024-07-21  0:32 UTC (permalink / raw
  To: gentoo-commits

commit:     1cbf46eba80eadc0bd5f101c040a9828cbfa91b3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 00:32:08 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 00:32:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cbf46eb

app-emulation/punes: Stabilize 0.111 amd64, #935863

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/punes/punes-0.111.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/punes/punes-0.111.ebuild b/app-emulation/punes/punes-0.111.ebuild
index 03071411bec5..f37c4e0a94c3 100644
--- a/app-emulation/punes/punes-0.111.ebuild
+++ b/app-emulation/punes/punes-0.111.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/puNES-${PV}"
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 IUSE="X cg ffmpeg qt6"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 15+ messages in thread

end of thread, other threads:[~2024-07-21  0:33 UTC | newest]

Thread overview: 15+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-04 11:55 [gentoo-commits] repo/gentoo:master commit in: app-emulation/punes/ Viorel Munteanu
  -- strict thread matches above, loose matches on Subject: below --
2024-07-21  0:32 Sam James
2024-03-22  6:22 Arthur Zamarin
2024-03-22  6:22 Arthur Zamarin
2023-01-24 10:01 Joonas Niilola
2022-10-14 13:25 Ionen Wolkens
2021-02-02 13:08 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-03-21 16:13 Joonas Niilola
2019-10-28 15:14 Joonas Niilola
2019-10-28 15:14 Joonas Niilola
2019-05-15 10:48 Michael Palimaka
2019-03-11 10:13 Patrice Clement
2018-01-26 21:23 Patrice Clement

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox